Includes working in 6.6 no more working in 7.X

  Written by The Jahia Team
 
Developers
   Estimated reading time:
7.1.2.1

In a templateSet, a previous include of a JSP, which was working in 6.6, is no more working while migrating the module in 7.X

Cause

The include was previously done in the JSP which was in a different module, in order to override one of the labels.

Solution

To include the JSP, use the classical templating mechanism.

Instead of including the JSP in another JSP,  put the component in a page template or in the base template (using repository.xml or the Studio)

To override the label, do it in the templateSet.